<?php
function h($string) {
    return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
}

$tweets = array();

$q = '';
if (isset($_GET['q']) && strlen($_GET['q'])) {
    $q = $_GET['q'];
    $url = 'http://search.twitter.com/search.json?q='.urlencode($q);

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $json = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($json);
    $tweets = $data->results;
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Tweet Slides</title>
    <style type="text/css" media="screen">
        body { text-align:center; font-family:Verdana,sans-serif; }
        h1 { margin:5px 50px 30px; padding:5px; border-bottom:7px solid #69D; }
        #slide_box { width:560px; margin-left:auto; margin-right:auto; }
        .slide { width:560px; height:240px; }
        .prev, .next { margin:0 5px; font-size:1.2em; }
    </style>
    <script src="http://code.jquery.com/jquery-1.5.js"></script>
    <script src="slides.jquery.js"></script>
    <script>
    //<![CDATA[
        $(function() {
            $('#slide_box').slides({
                generateNextPrev: true,
                generatePagination: false,
                play: 5000
            });
        });
    //]]>
    </script>
</head>
<body>

<h1>Tweet Slides</h1>

<form action="./" method="GET">
    <input type="text" name="q" value="<?php echo h($q) ?>" size="40">
    <input type="submit" value="Slide!">
</form>

<?php if (count($tweets) > 0): ?>
<div id="slide_box">
    <div class="slides_container">
        <?php foreach ($tweets as $tweet): ?> 
        <div class="slide">
            <h2><?php echo h($tweet->from_user) ?></h2>
            <img src="<?php echo h($tweet->profile_image_url) ?>" alt="<?php echo h($tweet->from_user) ?>">
            <p><?php echo h($tweet->text) ?></p>
            <a href="http://twitter.com/<?php echo h($tweet->from_user) ?>/status/<?php echo h($tweet->id_str) ?>">[show on twitter]</a>
        </div>
        <?php endforeach; ?>
    </div>
</div>
<?php elseif ($q): ?>
<p>見つかりませんでした。</p>
<?php endif; ?>

</body>
</html>
